#include "osapi.h"
#include "user_interface.h"
#include "mem.h"


#define SIG_RX 0
#define TEST_QUEUE_LEN 4

static os_event_t *testQueue;

void test_task (os_event_t *e)
{
    switch (e->sig) {
    case SIG_RX:
        os_printf("sig_rx %c\n",  (char)e->par);
        break;
    default:
        break;
    }
}
void task_init(void)
{
    os_event_t* lwipIf0EvtQueue = (os_event_t *)os_malloc(sizeof(os_event_t)*TEST_QUEUE_LEN);
    system_os_task(test_task,  USER_TASK_PRIO_0,  testQueue,  TEST_QUEUE_LEN);
}

void StartTask1( void )
{
    task_init();
}
